Subject: Mushroom collecting in Puerto Rico

From: [email-masked]
Date: Fri, 18 Oct 1996 01:05:49 GMT

My wife and I'd like to take a week this winter (we're from NH) and go
on a "vacation" somewhere warm.  Can anyone tell me about collecting
in Puerto Rico, are there any clubs, what are the best months and
areas on the island?  Books? That sort of thing...  We're
"intermediate" avid collectors. 

Please respond to the newsgroup or email me at [email-masked]

Thanks,  Stephen

PS, any other areas that are good in December, January or February?
It must be in the contiguous 48 states or Puerto Rico (have companion
air ticket).